package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2021/1/8 0008
 **/
public enum IndexDataType implements BaseEnum<String, IndexDataType> {
    SCHOOL("SCHOOL","合作单位"),
    MUSIC_GROUP_NUM("MUSIC_GROUP_NUM","乐团数量"),
    MUSIC_GROUP_STUDENT("MUSIC_GROUP_STUDENT","乐团学员"),
    OTHER_STUDENT("OTHER_STUDENT","其他学员"),

    ACTIVATION_RATE("ACTIVATION_RATE","激活率"),
    HOMEWORK_CREATE_RATE("HOMEWORK_CREATE_RATE","作业布置率"),
    HOMEWORK_SUBMIT_RATE("HOMEWORK_SUBMIT_RATE","作业提交率"),
    HOMEWORK_COMMENT_RATE("HOMEWORK_COMMENT_RATE","作业点评率"),

    SHOULD_INCOME_MONEY("SHOULD_INCOME_MONEY","应收金额"),
    ANTICIPATED_INCOME_MONEY("ANTICIPATED_INCOME_MONEY","预收金额"),
    SHOULD_EXPEND_MONEY("SHOULD_EXPEND_MONEY","预付金额"),
    ANTICIPATED_EXPEND_MONEY("ANTICIPATED_EXPEND_MONEY","应付金额"),
    REVENUE_MONEY("REVENUE_MONEY","营收金额"),

    TEACHER_NUM("TEACHER_NUM","老师总数"),
    FULL_TIME_NUM("FULL_TIME_NUM","全职人数"),
    PART_TIME_NUM("PART_TIME_NUM","兼职人数"),
    DIMISSION_NUM("DIMISSION_NUM","离职人数"),

    NEWLY_STUDENT_NUM("NEWLY_STUDENT_NUM","新增学员"),
    QUIT_MUSIC_GROUP_STUDENT_NUM("QUIT_MUSIC_GROUP_STUDENT_NUM","退团学员"),
    STUDENT_CONVERSION("STUDENT_CONVERSION","学员转化"),
    STUDENT_CONVERSION_PRE_STUDENT_NUM("STUDENT_CONVERSION_PRE_STUDENT_NUM","预报名人数"),
    STUDENT_CONVERSION_STUDENT_NUM("STUDENT_CONVERSION_STUDENT_NUM","报名人数"),
    STUDENT_CONVERSION_PAYMENT_STUDENT_NUM("STUDENT_CONVERSION_PAYMENT_STUDENT_NUM","学员转化"),
    STUDENT_CONVERSION_VIP_PRACTICE_STUDENT_NUM("STUDENT_CONVERSION_VIP_PRACTICE_STUDENT_NUM","VIP/网管课购买"),

    MUSIC_GROUP_COURSE("MUSIC_GROUP_COURSE","乐团课"),
    VIP_GROUP_COURSE("VIP_GROUP_COURSE","VIP课"),
    PRACTICE_GROUP_COURSE("PRACTICE_GROUP_COURSE","网管课");

    private String code;

    private String msg;

    IndexDataType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
